<?php 
/**
  * Plugin Name: Dashboard 1 Column
  * Plugin URI: http://www.deepsoft.com/dashboard-1c
  * Description: A plugin that fixes the WP developer dashboard blunder (3.8)
  * Version: 0.1
  * Author: Robert Heller
  * Author URI: http://www.deepsoft.com/
  *
  *  Dashboard 1 ColumnWP Plugin
  *  Copyright (C) 2014  Robert Heller D/B/A Deepwoods Software
  *                      51 Locke Hill Road
  *                      Wendell, MA 01379-9728
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation; either version 2 of the License, or
  *  (at your option) any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
  */

class DashboardOneColumn {
  static private $pluginFile = __FILE__;
  private $version;
  static function _getVersion() {
    $version = '';
    $fp = fopen(self::$pluginFile,'r');
    if ($fp) {
      while ($line = fgets($fp)) {
        if (preg_match("/^\s*\*\s*$/",$line) > 0) {break;}
        if (preg_match('/^\s*\*\s*Version:\s*(.*)$/',$line,$matches) > 0) {
          $version = $matches[1];
          break;
        }
      }
      fclose($fp);
    }
    return $version;
  }
  
  /** Constructor: register our activation and deactivation hooks and then
    * add in our actions.
    */
  function __construct() {
    $this->version = self::_getVersion();
    // Add the installation and uninstallation hooks
    register_activation_hook($pluginFile,array($this,'install'));
    register_deactivation_hook($pluginFile,array($this,'deinstall'));
    add_action('admin_head', array($this, 'admin_head'));
  }
  function MyVersion() {return $this->version;}
  function install() {}
  function deinstall() {}
  function admin_head() {
  ?><style type="text/css">
  #wpbody-content #dashboard-widgets .postbox-container {
  width: 100%;
  }
  .empty-container {
    display: none;
  }
  </style><?php
  }
}

/* Create an instanance of the plugin */
global $dashboard1c;
$dashboard1c = new DashboardOneColumn();
